using Godot;
using System;
#if REAL_T_IS_DOUBLE
using real_t = System.Double;
#else
using real_t = System.Single;
#endif

public class Shadow25D : KinematicBody
{
    private KinematicBody playerMath;
    public override void _Ready()
    {
        playerMath = GetParent().GetParent().GetChild<KinematicBody>(0);
    }

    public override void _Process(real_t delta)
    {
        Translation = playerMath.Translation;
        var k = MoveAndCollide(Vector3.Down * 1000000);
        if (k == null)
        {
            Translation = Vector3.Inf;
        }
        else
        {
            GlobalTransform = Transform;
        }
    }
    
}
